
import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../constants.dart';
import '../generated/l10n.dart';
import '../widgets/desktop/desktop_reset_password.dart';
import '../widgets/general/bottom_nav.dart';
import '../widgets/general/breadcrumbs.dart';
import '../widgets/general/navigationbar.dart';
import '../widgets/mobile/MobileBottomNav.dart';
import '../widgets/mobile/mobile_reset_password.dart';

class ResetPassword extends StatelessWidget {
  final String mobile;
  final String code;
  const ResetPassword(this.mobile, {Key? key, required this.code}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
          Scaffold(
            appBar: MiniNavigationBar(
              title: S.of(context).reset_password,
              back: true,
              breadCrumbs: [
                BreadCrumb(S.of(context).reset_password, null),
              ],
              breadCrumbHeight: sizingInformation.deviceScreenType == DeviceScreenType.mobile ? null : Constants.BREADCRUMB_HEIGHT,
            ),
            drawer: null,
            body: ScreenTypeLayout.builder(
              mobile: (context) => MobileResetPassword(mobile, code: code,),
              tablet: (context) => DesktopResetPassword(mobile, code: code,),
              desktop: (context) => DesktopResetPassword(mobile, code: code,),
            ),
            bottomNavigationBar: ScreenTypeLayout.builder(
              mobile: (context) => MobileBottomNav(currentIndex: 0,),
              tablet: (context) => BottomNav(),
              desktop: (context) => BottomNav(),
            ),
          ),
    );
  }

}